#p2 { /* specificity 100 */
    color: green;
}

p#p2 { /* specificity 101 */
    color: pink;
}

p {
    background-color:yellow;
    border: 1px solid red;
}

p { /* cascade */
    color: blue;
    border: 2px dashed purple;
}